textures/plantia8/sky
{
	qer_editorimage textures/plantia8/env/pulse_up.TGA

	skyparms textures/plantia8/env/pulse - -

	// q3map_sunExt red green blue intensity degrees elevation deviance samples
	q3map_sunExt 0.56 0.18 0.1 200 85 15 45 8
	
	//self other
	q3map_lightmapFilterRadius 0 4
	
	//q3map_skylight q3map_skylight amount iterations
	q3map_skylight 200 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	
	q3map_globaltexture
	
	//q3map_lightsubdivide 256 //replaced by q3map_skylight
	//q3map_surfacelight 75 //replaced by q3map_skylight
}

textures/plantia8/neon
{
	qer_editorimage textures/plantia8/neon.tga

	surfaceparm nolightmap
	q3map_lightRGB 0.1 1 0.1
	q3map_surfacelight 1000
	
	{
		map textures/plantia8/neon.tga
		rgbGen const ( 0.25 1 0.75 )
	}
}

models/mapobjects/multiplant/batleaf
{
	qer_editorImage models/mapobjects/multiplant/batleaf.tga
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none
	{
		map models/mapobjects/multiplant/batleaf.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}

models/mapobjects/multiplant/fern
{
	qer_editorImage models/mapobjects/multiplant/fern.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none

	{
		map models/mapobjects/multiplant/fern.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}



textures/plantia8/q_glass
{
	qer_trans .50
	surfaceparm trans
	{
		map textures/plantia8/environment_map.jpg
		blendFunc add
		tcGen environment
	}
}

textures/plantia8/bl_glass
{
	qer_trans .50
	surfaceparm trans
	{
		map textures/plantia8/environment_map.jpg
		rgbGen const ( 0.1 0.1 0.1 )
		blendFunc add
		tcGen environment
	}
}



textures/plantia8/v_glass
{
	qer_trans .50
	surfaceparm trans
	{
		map textures/plantia8/environment_map.jpg
		rgbGen const ( 1 0.1 1 )
		blendFunc add
		tcGen environment
	}
}


textures/plantia8/b_glass
{
	qer_trans .75
	surfaceparm trans
	{
		map textures/plantia8/environment_map.jpg
		rgbGen const ( 0.1 0.1 1 )
		blendFunc add
		tcGen environment
	}
}


textures/plantia8/r_glass
{
	qer_trans .80
	surfaceparm trans
	{
		map textures/plantia8/environment_map.jpg
		rgbGen const ( 1 0.1 0.1 )
		blendFunc add
		tcGen environment
	}
}


textures/plantia8/omg
{
	qer_trans .50
	surfaceparm trans
	{
		map textures/plantia8/omg.jpg
		rgbGen const ( 1 1 1 )
		blendFunc add
		tcGen environment
	}
}

textures/plantia8/nubfog
{
		qer_editorimage textures/plantia8/nubfog.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .01 .01 .01 ) 2048

}

textures/plantia8/szklarnia
{
	qer_trans 0.5
	qer_editorimage textures/plantia8/szklo.tga

	q3map_lightmapBrightness 6.0
	q3map_lightRGB 1 1 1
	q3map_surfacelight 100
	q3map_lightSubdivide 32
	cull none
	nopicmip

	surfaceparm trans

	{
		map textures/plantia8/szklo.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/plantia8/1337.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcMod scale 2.0 2.0
		tcGen environment 
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}


models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/natestah/leaf2
{
	surfaceparm alphashadow
	cull disable
	{
		map textures/natestah/leaf2.tga
		rgbGen Vertex 
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}


models/mapobjects/multiplant/invisible
{
	qer_editorImage textures/common/nodraw.tga

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}


textures/plantia8/lajt
{
	qer_editorimage textures/plantia8/lajt.jpg
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/plantia8/lajt.jpg
		blendfunc add

	}
}

models/mapobjects/multiplant/batleaf2
{
	qer_editorImage models/mapobjects/multiplant/batleaf2.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	cull none
	deformVertexes wave 100 sin 3 5 0.1 0.1

	{
		map models/mapobjects/multiplant/batleaf2.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
	{
		map models/mapobjects/multiplant/batleaf2veins.tga
		blendFunc blend
		rgbGen wave sin 0 1 0 .33
		depthFunc equal
	}
}

textures/plantia8/mist0
{
	entityMergable
	cull none
	{
		map textures/plantia8/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/plantia8/marsterrain
{
 	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/plantia8/marsterrain.jpg
	{
		map $lightmap
		rgbGen identity
 	}
	{
		map textures/plantia8/marsterrain.jpg
		blendFunc filter
	}
}

textures/plantia8/waterps
{
	entityMergable
	cull none
	{
		map textures/plantia8/waterr.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/plantia8/marsground
{
 	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/plantia8/marsground.jpg
	{
		map $lightmap
		rgbGen identity
 	}
	{
		map textures/plantia8/marsground.jpg
		blendFunc filter
	}
}

textures/plantia8/shinymetal
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/plantia8/shinymetal.jpg
	{
		map $lightmap
		rgbGen identity
 	}
	{
		map textures/plantia8/shinymetal.jpg
		blendFunc filter
		tcGen environment
	}
	
}

textures/plantia8/spodek
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/plantia8/spodek.jpg
	{
		map $lightmap
		rgbGen identity
 	}
	{
		map textures/plantia8/spodek.jpg
		blendFunc filter
		tcGen environment
	}
	
}



textures/plantia8/thinblue
{
	qer_editorimage textures/plantia8/thinblue.jpg
	q3map_lightimage textures/plantia8/thinblue_blend.jpg
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_lightsubdivide 128
	q3map_surfacelight 1200
	{
		map textures/plantia8/thinblue.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/plantia8/thinblue_blend.jpg
		blendfunc add
		rgbGen wave sawtooth 0.7 0.1 0 7 
	}
}




textures/plantia8/alienz
{
	qer_trans .20
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/plantia8/alienz.jpg
		blendfunc add
	}
}


textures/plantia8/red_streak
{  
  cull disable
  {
    map textures/plantia8/red_streak.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
  }
}

textures/plantia8/dooor
{
	{
		map textures/plantia8/door.jpg
		tcGen environment
	}
}

textures/plantia8/titaniumalien
{
	q3map_lightimage textures/plantia8/titanium.jpg
	surfaceparm nolightmap
	q3map_lightRGB 0.67 0.64 0.08
	q3map_surfacelight 100
	{
		map textures/plantia8/titanium.jpg
		rgbGen wave sin 0 0.7 0 0.5 
	}
	{
		map textures/plantia8/titanium.jpg
		blendfunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen const ( 0.49 0.49 0 )
		tcGen lightmap 
	}
}

textures/plantia8/alienl
{
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/plantia8/9233.jpg
		blendFunc add
		rgbGen wave noise 0 1 0 1 
	}
}

textures/plantia8/matrixx
{
	surfaceparm trans
	qer_trans 0.5
	{
		map textures/plantia8/matrix.jpg
		tcMod scroll 0 -2
	}
}



textures/plantia8/tron2
{
	q3map_lightimage textures/plantia8/tron.jpg
	surfaceparm nolightmap
	{
		map textures/plantia8/tron.jpg
		rgbGen wave sin 0 0.5 0 0.5 
	}
	{
		map textures/plantia8/tron.jpg
		blendfunc add
	}
	{
		map $lightmap 
		blendfunc gl_zero gl_one
		rgbGen const ( 0.12 0.92 0.8 )
		tcGen lightmap 
	}
}

textures/plantia8/tron3
{
	qer_editorimage textures/plantia8/tron.jpg

	surfaceparm nolightmap
	q3map_lightRGB 0.12 0.92 0.8
	q3map_surfacelight 400
	
	{
		map textures/plantia8/tron.jpg
		rgbGen const ( 0.12 0.92 0.8 )
	}
}


textures/plantia8/portal
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water
  {
    map textures/plantia8/portal.jpg
    blendFunc add
    rgbgen identity
    tcmod turb 0 0.2 0 0.2
    tcmod scale 0.18 0.18
  }
}

textures/plantia8/celownik
{
	{
		map textures/plantia8/celownik.jpg
		tcMod stretch inversesawtooth 2 1 0 10
	}
}

textures/plantia8/monitor
{
	surfaceparm nomarks
	surfaceparm nolightmap
	portal
	{
		map textures/plantia8/bnw.tga
		tcMod scale 4 1
		blendfunc filter
		depthWrite
		alphaGen portal 512
	}
}

textures/plantia8/laser
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/plantia8/laser.jpg    
                blendFunc add
		rgbGen wave triangle 1 1.3 0 11
        }
}

textures/plantia8/alienblood1
{
	qer_trans 0.99
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip

	{
		map textures/plantia8/alienblood1.jpg
		blendFunc add
		rgbGen Vertex
		rgbGen identity
	}

}



textures/plantia8/alienblood3
{
	qer_trans 0.99
	
	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_noTJunc
	
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	
	polygonOffset
	nopicmip

	{
		map textures/plantia8/alienblood3.jpg
		blendFunc add
		rgbGen Vertex
		rgbGen identity
	}

}



textures/plantia8/ring
{	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	{
		map textures/plantia8/ring.jpg
		rgbGen wave sin 0 1 1 0.25
		blendfunc add
	}
	
	{
		map textures/plantia8/ring.jpg
		blendfunc add
	}
	{
		map $lightmap 
		blendfunc gl_zero gl_one

	}
}

textures/plantia8/blbeam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/plantia8/blbeam.jpg    
                blendFunc add
        }
}



textures/plantia8/red_streak2
{  
  cull disable
  {
    map textures/plantia8/red_streak2.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
  }
}




textures/plantia8/skyblack
{
	q3map_lightmapFilterRadius 0 8		//self other
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	{
		map textures/plantia8/black.jpg
	}
}


